For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTCreate a carrier
      • POSTBatch create carriers
      • GETList carriers
      • GETGet a carrier
      • PATCHUpdate a carrier
      • POSTRe-enable a previously disabled carrier
      • POSTDisable a carrier organization-wide
LogoLogo
SupportDashboard
EndpointsCarriers

Update a carrier

PATCH
/carriers/:carrier_id
PATCH
/api/v1/carriers/:carrier_id
$curl -X PATCH https://tryenvoy.ai/api/v1/carriers/carrier_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "car_00000000-0000-0000-0000-000000000000",
3 "name": "string",
4 "mc_number": "string",
5 "dot_number": "string",
6 "email": "string",
7 "phone": "string",
8 "dispatcher_name": "string",
9 "dispatcher_phone": "string",
10 "dispatcher_email": "string",
11 "is_active": true,
12 "provider": "string",
13 "ingestion_method": "string",
14 "equipment_types": [
15 "VAN"
16 ],
17 "insurance_expiration": "2024-01-15T09:30:00Z",
18 "w9_on_file": true,
19 "authorized_for_hire": true,
20 "on_time_pickup_pct": 1.1,
21 "on_time_delivery_pct": 1.1,
22 "tracking_compliance_pct": 1.1,
23 "avg_response_time_min": 1.1,
24 "total_loads_hauled": 1,
25 "is_onboarded": false,
26 "carrier_rep_user_id": "usr_00000000-0000-0000-0000-000000000000",
27 "carrier_rep_name": "string",
28 "carrier_rep_email": "string",
29 "is_verified": false,
30 "verified_date": "2024-01-15T09:30:00Z",
31 "created_at": "2024-01-15T09:30:00Z",
32 "updated_at": "2024-01-15T09:30:00Z"
33}
Update a carrier. Only provided fields will be updated. Admin-only — matches the authorization model of the dedicated /disable + /enable + /restrict + /unrestrict endpoints. ``is_active`` is explicitly rejected: flips must go through POST /disable or /enable so every state change carries a reason and an audit row. **Authentication:** Bearer token required.
Was this page helpful?
Previous

Re-enable a previously disabled carrier

Next
Built with

Update a carrier. Only provided fields will be updated. Admin-only — matches the authorization model of the dedicated /disable + /enable + /restrict + /unrestrict endpoints. is_active is explicitly rejected: flips must go through POST /disable or /enable so every state change carries a reason and an audit row.

Authentication: Bearer token required.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

carrier_idstringRequiredformat: "uuid"

Headers

X-Organization-IDstring or nullOptional

Request

This endpoint expects an object.
namestring or nullOptional
emailstring or nullOptional
phonestring or nullOptionalformat: "^\+[1-9]\d{1,14}$"8-16 characters
dispatcher_namestring or nullOptional
dispatcher_phonestring or nullOptionalformat: "^\+[1-9]\d{1,14}$"8-16 characters
dispatcher_emailstring or nullOptional
is_activeboolean or nullOptional

Response

Successful Response
idstringformat: "^car_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
namestring
mc_numberstring or null
dot_numberstring or null
emailstring or null
phonestring or null
dispatcher_namestring or null
dispatcher_phonestring or null
dispatcher_emailstring or null
is_activebooleanDefaults to true
providerstring or null
ingestion_methodstring or null
equipment_typeslist of enums or null
insurance_expirationdatetime or null
w9_on_fileboolean or null
authorized_for_hireboolean or null
on_time_pickup_pctdouble or null
on_time_delivery_pctdouble or null
tracking_compliance_pctdouble or null
avg_response_time_mindouble or null
total_loads_hauledinteger or null
is_onboardedbooleanDefaults to false
carrier_rep_user_idstringformat: "^usr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
carrier_rep_namestring or null
carrier_rep_emailstring or null
is_verifiedbooleanDefaults to false
verified_datedatetime or null
created_atdatetime or null
updated_atdatetime or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error